JackTrip

Public Attributes | List of all members
DefaultHeaderStruct Struct Reference

Default Header Struct. More...

`#include <PacketHeader.h>`

Inheritance diagram for DefaultHeaderStruct:
[legend]
Collaboration diagram for DefaultHeaderStruct:
[legend]

## Public Attributes
uint64_t | TimeStamp
| Time Stamp. More...
uint16_t | SeqNumber
| Sequence Number. More...
uint16_t | BufferSize
| Buffer Size in Samples. More...
uint8_t | SamplingRate
| Sampling Rate in JackAudioInterface::samplingRateT. More...
uint8_t | BitResolution
| Audio Bit Resolution. More...
uint8_t | NumChannels
| Number of Channels, we assume input and outputs are the same. More...
uint8_t | ConnectionMode

## Detailed Description

Default Header Struct.

## Member Data Documentation

## ◆ BitResolution

uint8_t DefaultHeaderStruct::BitResolution

Audio Bit Resolution.

## ◆ BufferSize

uint16_t DefaultHeaderStruct::BufferSize

Buffer Size in Samples.

## ◆ ConnectionMode

uint8_t DefaultHeaderStruct::ConnectionMode

## ◆ NumChannels

uint8_t DefaultHeaderStruct::NumChannels

Number of Channels, we assume input and outputs are the same.

## ◆ SamplingRate

uint8_t DefaultHeaderStruct::SamplingRate

Sampling Rate in JackAudioInterface::samplingRateT.

## ◆ SeqNumber

uint16_t DefaultHeaderStruct::SeqNumber

Sequence Number.

## ◆ TimeStamp

uint64_t DefaultHeaderStruct::TimeStamp

Time Stamp.

The documentation for this struct was generated from the following file:

- src/PacketHeader.h